package org.bench4q.share.models.master.statistics;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class ScriptPagesBriefModel extends SampleModel {
	private List<ScriptPageBriefModel> scriptPageBriefModels;

	@XmlElementWrapper(name="pageBriefs")
	@XmlElement(name="pageBrief")
	public List<ScriptPageBriefModel> getScriptPageBriefModels() {
		return scriptPageBriefModels;
	}

	public void setScriptPageBriefModels(
			List<ScriptPageBriefModel> scriptPageBriefModels) {
		this.scriptPageBriefModels = scriptPageBriefModels;
	}

	public ScriptPagesBriefModel() {
		this.setScriptPageBriefModels(new ArrayList<ScriptPageBriefModel>());
		this.setSamplingTime(new Date());
	}
}
